summaryrefslogtreecommitdiff
path: root/t/colon6.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:27:49 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:37:53 +0200
commitb21d68690612214d8edd810acf11880c3c0ad586 (patch)
tree7506c8901d7d16c4a5603a11e567b9e6315c9e9d /t/colon6.sh
parentda9ad6fafeaf5dfa710a1a2b4176d1a049fddf13 (diff)
parentd25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0 (diff)
downloadautomake-b21d68690612214d8edd810acf11880c3c0ad586.tar.gz
Merge branch 'maint'
* maint: tests: simpler workaround for shells losing the exit status in exit trap + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/colon6.sh')
-rwxr-xr-xt/colon6.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/colon6.sh b/t/colon6.sh
index 9f14d2a09..1e93a8f99 100755
--- a/t/colon6.sh
+++ b/t/colon6.sh
@@ -16,7 +16,7 @@
# Yet another multi-":" test, this time from Ken Pizzini.
-. ./defs || Exit 1
+. ./defs || exit 1
cat > configure.ac <<END
AC_INIT([$me], [1.0])
@@ -37,7 +37,7 @@ $AUTOMAKE
# These are older "grepping checks", kept mostly for backward-compatibility.
# They might (unlikely, but possibly) require updating when automake
# internals are changed. Just relax or remove if they become too fragile.
-$EGREP 'Makefile:.*(demo|version)' demo/Makefile.in && Exit 1
+$EGREP 'Makefile:.*(demo|version)' demo/Makefile.in && exit 1
grep 'version\.good:.*version\.gin' demo/Makefile.in
$AUTOCONF
@@ -87,7 +87,7 @@ for vpath in : false; do
# version.good should depend on version.gin.
rm -f version.good
- $MAKE version.good >output 2>&1 && { cat output; Exit 1; }
+ $MAKE version.good >output 2>&1 && { cat output; exit 1; }
cat output
# Try to verify that we errored out for the right reason.
$FGREP version.gin output